package com.ruoyi.web.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.web.domain.dto.facility.FacilityAddRequest;
import com.ruoyi.web.domain.dto.facility.FacilityEditRequest;
import com.ruoyi.web.domain.dto.facility.FacilityQueryRequest;
import com.ruoyi.web.domain.entity.FacilityManagement;
import com.ruoyi.web.domain.vo.FacilityManagement.BaseFacilityVO;

/**
 * 设施接口
 */
public interface FacilityManagementService extends IService<FacilityManagement> {

    Integer addFacility(FacilityAddRequest facilityAddRequest);

    void editFacility(FacilityEditRequest facilityEditRequest);

    boolean deleteFacility(String ids);

    BaseFacilityVO getFacilityById(int id);


    /**
     * 分页设施列表
     *
     * @param facilityQueryRequest
     * @return
     */
    Page<? extends BaseFacilityVO> getListFacilityManagementByPage(FacilityQueryRequest facilityQueryRequest);
}
